- entityDefinitions:
  - IDR_Button_Layout__executes_task_from__Instance_Set: '{04d104fa-a6c4-425e-a6cd-56d847c63e9d}'
  - IDR_Instance_Set__has_task_executed_by__Button_Layout: '{c17171be-9d7a-4df9-8903-2b9d5cc26742}'

  - IDR_Button_Layout__gets_related_instance_from__Instance_Set: '{462bb1ab-aefa-4455-8d56-eff233e3caa7}'
  - IDR_Instance_Set__has_related_instance_for__Button_Layout: '{81449573-4334-4b31-8fa6-007b3a15ef2b}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_ButtonLayout;'
    index: 3009
    name: Button Layout
    customTagName: buttonLayout
    registerForTemplate: yes
    superclasses:
    - instance: '&IDC_Layout;'
    relationships:
    - instance: '&IDR_Button_Layout__executes_task_from__Instance_Set;'
      customTagName: 'executesTask'
    - instance: '&IDR_Button_Layout__gets_related_instance_from__Instance_Set;'
      customTagName: 'relatedInstance'

  - relationship: '&IDR_Button_Layout__executes_task_from__Instance_Set;'
    index: 9232
    sourceClassId: '&IDC_ButtonLayout;'
    type: 'executes task from'
    destinationClassId: '&IDC_InstanceSet;'
    siblingRelationshipId: '&IDR_Instance_Set__has_task_executed_by__Button_Layout;'
    singular: yes

  - relationship: '&IDR_Instance_Set__has_task_executed_by__Button_Layout;'
    index: 9233
    sourceClassId: '&IDC_InstanceSet;'
    type: 'has task executed by'
    destinationClassId: '&IDC_ButtonLayout;'
    siblingRelationshipId: '&IDR_Button_Layout__executes_task_from__Instance_Set;'
    singular: no

  - relationship: '&IDR_Button_Layout__gets_related_instance_from__Instance_Set;'
    index: 7878
    sourceClassId: '&IDC_ButtonLayout;'
    type: 'gets related instance from'
    destinationClassId: '&IDC_InstanceSet;'
    siblingRelationshipId: '&IDR_Instance_Set__has_related_instance_for__Button_Layout;'
    singular: yes

  - relationship: '&IDR_Instance_Set__has_related_instance_for__Button_Layout;'
    index: 7879
    sourceClassId: '&IDC_InstanceSet;'
    type: 'has related instance for'
    destinationClassId: '&IDC_ButtonLayout;'
    siblingRelationshipId: '&IDR_Button_Layout__gets_related_instance_from__Instance_Set;'
    singular: no
